function [spli ]=spligenP3(type_gen,Par,N,Ll)
%design of a single generator of an odd-order spline space
% type_gen type of generator
%Par -- spline order 
%N--length of interval
%Ll--number of ternary subdivision steps

 x=zeros(1,N);
if  type_gen==1%interpolating

    
   x(N/2) =1;  
  

elseif type_gen==2%B-spline 
   a=BSUV{Par}{1,1};
   b=BSUV{Par}{1,2};
 x(1:Par)=a/b;
 r=floor(Par/2);
 x=circ_h(x,-r-N/2);
elseif type_gen==3%Battle-Lemarie


  [u1,~]=juviP(Par,N);
   [u2,~]=juviP(2*Par,N);
    x=real(ifft(u1./sqrt(u2)));
    [m,i]=max(x);
    x=circ_h(x,-N/2);
end
[spli]=intersplliPt(x,Par,Ll,3);
[e r]=max(abs(spli));

